### Constructor

# PangoOT Ruleset new_from_description

since: 1.18

#### Declaration [src]

    PangoOTRuleset*
    pango_ot_ruleset_new_from_description (
      PangoOTInfo* info,
      const PangoOTRulesetDescription* desc
    )

#### Description [src]

Creates a new `PangoOTRuleset` for the given OpenType info and matching the given ruleset description.

This is a convenience function that calls `pango_ot_ruleset_new_for()` and adds the static GSUB/GPOS features to the resulting ruleset, followed by adding other features to both GSUB and GPOS.

The static feature map members of `desc` should be alive as long as `info` is.

Available since: 1.18

#### Parameters

`info`

  Type: `PangoOTInfo`

  A `PangoOTInfo`

  The data is owned by the caller of the function.

`desc`

  Type: `PangoOTRulesetDescription`

  A `PangoOTRulesetDescription`

  The data is owned by the caller of the function.

#### Return value

Type: `PangoOTRuleset`

The newly allocated `PangoOTRuleset`

The caller of the function takes ownership of the data, and is responsible for freeing it.